ARLN_READ_FROM_STDIN(3)

FUNCTION
arln_read_from_stdin - Read a line from the user.

SYNOPSIS
#include <karma_arln.h>

flag arln_read_from_stdin

(char *buffer, unsigned int length, CONST char *prompt)

DESCRIPTION
This routine will read a line from the standard input without preventing event processing. The standard input channel is internally allocated.

buffer
    The NULL terminated string will be written here. The routine will NOT copy the ' newline character into the buffer.

length
    The length of the buffer.

prompt
    The prompt which is to be displayed. Note that the prompt is only displayed if the standard input is NOT a disc file.

RETURN VALUE
TRUE on successful reading, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/